List Offers
Query Parameters
Response
Understanding Storage Fields
Get Offer
Example
Errors
404 not_found — Offer not found.Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Browse and search GPU offers across all providers.
GET /api/v1/offers
| Param | Type | Default | Description |
|---|---|---|---|
gpu | string | — | Comma-separated GPU slugs (e.g., h100-sxm-80gb,a100-pcie-80gb). See GPU Families for available slugs. |
provider | string | — | Comma-separated provider slugs (e.g., verda,hyperstack) |
continent | string | — | Comma-separated (e.g., Europe,North America) |
min_gpu_count | int | — | Minimum GPU count per instance |
max_gpu_count | int | — | Maximum GPU count per instance |
sort_by | string | pricePerGpu | Sort field: pricePerGpu, priceHourly, gpuCount |
sort_order | string | asc | asc or desc |
page | int | 0 | Page number (0-indexed) |
size | int | 25 | Page size (max 100) |
{
"offers": [
{
"id": "c0858d33-a3de-4fbd-8fee-98d009c3ec7d",
"provider": {
"name": "VERDA",
"slug": "verda"
},
"gpu": {
"name": "NVIDIA A100 SXM4 80GB",
"slug": "a100-sxm-80gb",
"vramGB": 80,
"architecture": "Ampere"
},
"gpuCount": 1,
"region": "FIN-HEL",
"regionInfo": {
"countryCode": "FI",
"countryName": "Finland",
"cityState": "Helsinki",
"continent": "Europe"
},
"priceHourly": 1.29,
"pricePerGpu": 1.29,
"isAvailable": true,
"specs": {
"vcpu": 22,
"ram": 120,
"disk": null
},
"storageCostPerGB": 0.2,
"storageMinGB": 1,
"storageMaxGB": 500,
"costDataComplete": true,
"deploymentType": "virtual",
"nvlinkEnabled": true,
"interconnect": "SXM"
}
],
"page": 0,
"totalPages": 44,
"totalElements": 88,
"hasMore": true
}
| Field | Description |
|---|---|
storageMinGB | Minimum disk size you can request |
storageMaxGB | Maximum disk size you can request |
storageCostPerGB | Hourly cost per GB of storage |
specs.disk | Included/default disk in GB |
storageMinGB equals storageMaxGB, the disk size is fixed and included with the instance. You don’t need to specify disk_gb when deploying.GET /api/v1/offers/{id}
curl https://api.deploygpu.ai/api/v1/offers/c0858d33-a3de-4fbd-8fee-98d009c3ec7d
404 not_found — Offer not found.